| GET | /RestApi/Sitefinity/mobile-formats/preview |
|---|
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
open class MobileFormatPreviewDto
{
open var MobileFormatSettingName:String? = null
open var ContentTypeFullname:String? = null
open var ProviderName:String? = null
open var ItemUrlName:String? = null
open var Status:ContentLifecycleStatus? = null
open var SiteId:String? = null
}
enum class ContentLifecycleStatus(val value:Int)
{
Master(0),
Temp(1),
Live(2),
Deleted(4),
PartialTemp(8),
}
open class MobileFormatPreviewUrlDto
{
open var ItemTitle:String? = null
open var MobileFormatUrl:String? = null
open var MobileFormatPreviewUrl:String? = null
open var ErrorMessage:String? = null
}
Kotlin MobileFormatPreviewDto DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/Sitefinity/mobile-formats/preview HTTP/1.1 Host: www.imglobal.com Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{"ItemTitle":"String","MobileFormatUrl":"String","MobileFormatPreviewUrl":"String","ErrorMessage":"String"}